package org.mbari.seepsearch.tools;

import java.io.*;

/**
 *  Description of the Class
 *
 *@author     brian
 *@created    August 29, 2002
 */
public class RovNavFileCounter extends RovNavFileProcess {

    int numOfFiles = 0;


    /**
     *  Constructor for the RovNavFileCounter object
     *
     *@param  rovDataPath  Description of the Parameter
     */
    public RovNavFileCounter(String rovDataPath) {
        super(rovDataPath);
    }


    /**
     *  Gets the numOfFiles attribute of the RovNavFileCounter object
     *
     *@return    The numOfFiles value
     */
    public int getNumOfFiles() {
        return numOfFiles;
    }


    /**
     *  Description of the Method
     *
     *@param  navFile  Description of the Parameter
     */
    public void internalProcess(File navFile) {

        numOfFiles++;
    }

}
